%define upstream_name    Test-Run-Plugin-ColorSummary
%define upstream_version 0.0203

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Color the summary in Test::Run::CmdLine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Run::CmdLine) >= 0.11.100
BuildRequires: perl(Test::Run::CmdLine::Trap::ProveApp)
BuildRequires: perl(Test::Run::Core) >= 0.11.800
BuildRequires: perl(Test::Run::Obj)
BuildRequires: perl(Test::Run::Trap::Obj)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.300-3.mga10
+ Revision: 2206524
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.20.300-2.mga9
+ Revision: 1813480
- Mageia 9 Mass Rebuild

* Thu Oct 22 2020 tv <tv> 0.20.300-1.mga8
+ Revision: 1638261
- update to 0.0203

* Wed Feb 12 2020 umeabot <umeabot> 0.20.200-4.mga8
+ Revision: 1497509
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.20.200-3.mga7
+ Revision: 1272004
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.20.200-2.mga6
+ Revision: 1034637
- Rebuild for perl 5.22.2

* Thu Dec 17 2015 shlomif <shlomif> 0.20.200-1.mga6
+ Revision: 911386
- New version 0.0202

* Sun Oct 19 2014 umeabot <umeabot> 0.20.100-4.mga5
+ Revision: 789764
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.20.100-3.mga5
+ Revision: 750021
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.100-2.mga5
+ Revision: 686540
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.20.100-1.mga5
+ Revision: 588727
- update to 0.0201

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-2.mga4
+ Revision: 528481
- Mageia 4 Mass Rebuild

* Sat Jun 22 2013 shlomif <shlomif> 0.20.0-1.mga4
+ Revision: 445693
- New version 0.0200

* Sun Jan 13 2013 umeabot <umeabot> 0.12.100-2.mga3
+ Revision: 373776
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 shlomif <shlomif> 0.12.100-1.mga3
+ Revision: 277581
- imported package perl-Test-Run-Plugin-ColorSummary


* Fri Aug 19 2011 cpan2dist 0.0121-1mga
- initial mageia release, generated with cpan2dist
